/*
 * Copyright (C) 2012-2026 MotionSystems
 *
 * This file is part of ForceSeatMI SDK.
 *
 * www.motionsystems.eu
 *
 */

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "ForceSeatMI_CarSimObserver.generated.h"

class ACarsimPawn;

UCLASS()
class VEHICLECS_API AForceSeatMI_CarSimObserver : public AActor
{
	GENERATED_BODY()
public:	
	AForceSeatMI_CarSimObserver();

	UPROPERTY(EditAnywhere)
	ACarsimPawn* CarSimPawn;

	UPROPERTY(EditAnywhere)
	float AccLowPasFactor;

	UPROPERTY(EditAnywhere)
	float AngleSpeedLowPasFactor;

protected:
	virtual void BeginPlay() override;

public:	
	virtual void Tick(float DeltaTime) override;
};
